import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
export declare abstract class AdamantineApiService {
    private rootURL;
    private http;
    private defaultMaxCacheAge?;
    private static buildParams;
    private cache;
    constructor(rootURL: string, http: HttpClient, defaultMaxCacheAge?: number);
    protected internalGetObservable(script: string, params?: {}, maxCacheAge?: number): Observable<any>;
    getObservable(script: string, params?: {}, maxCacheAge?: number): Observable<any>;
    protected internalPostObservable(script: string, params: {}): Observable<any>;
    postObservable(script: string, params: {}): Observable<any>;
    protected internalPutObservable(script: string, params: {}): Observable<any>;
    putObservable(script: string, params: {}): Observable<any>;
    protected internalPatchObservable(script: string, params: {}): Observable<any>;
    patchObservable(script: string, params: {}): Observable<any>;
    protected internalDeleteObservable(script: string): Observable<any>;
    deleteObservable(script: string): Observable<any>;
}
